NestedKernel (BioJava-1.5-beta API)
Keywords: org.biojava.stats.svm.NestedKernel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.stats.svm
Class NestedKernel

    java.lang.Object
      org.biojava.stats.svm.NestedKernel

All Implemented Interfaces:
  Serializable, SVMKernel

Direct Known Subclasses:
  CachingKernel, DiagonalAddKernel, DiagonalCachingKernel, ListSumKernel, NormalizingKernel, PolynomialKernel, RadialBaseKernel

    public abstract class NestedKernel

extends Object
implements SVMKernel, Serializable

Encapsulates a kernel that wraps another kernel up.

Author:
  Matthew Pocock
See Also:
  Serialized Form

Constructor Summary
`NestedKernel()` Create a new NestedKernel.
`NestedKernel(SVMKernel k)` Create a new NestedKernel that wraps k.

Method Summary
`SVMKernel` | `getNestedKernel()` Retrieve the currently nested SVMKernel.
`void` | `setNestedKernel(SVMKernel k)` Set the SVMKernel to nest to k.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.biojava.stats.svm.SVMKernel
`evaluate`

Constructor Detail

### NestedKernel

    public NestedKernel()

  Create a new NestedKernel.

### NestedKernel

    public NestedKernel(SVMKernel k)

  Create a new NestedKernel that wraps k.

  Parameters:
    `k` - the SVMKernel to wrap

Method Detail

### setNestedKernel

    public void setNestedKernel(SVMKernel k)

  Set the SVMKernel to nest to k.

  Parameters:
    `k` - the SVMKernel to nest.

### getNestedKernel

    public SVMKernel getNestedKernel()

  Retrieve the currently nested SVMKernel.

  Returns:
    the nested SVMKernel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD